Loading...
Searching...
No Matches
BALL::AssignBaseProcessor Class Reference

Only used for deriving interface. More...

`#include <BALL/MOLMEC/COMMON/assignTypes.h>`

Inheritance diagram for BALL::AssignBaseProcessor:

## Public Member Functions

| AssignBaseProcessor ()
void | setMaximumUnassignedAtoms (Size nr)
Size | getMaximumUnassignedAtoms () const
Size | getNumberOfUnassignedAtoms () const
| Get the number of atoms, for which the force field setup failed.
HashSet< const Atom * > & | getUnassignedAtoms ()
| Get the atoms, for which the force field setup failed.
Public Member Functions inherited from BALL::UnaryProcessor< Atom >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()
virtual bool | start ()
virtual bool | finish ()
virtual Processor::Result | operator() (Atom &)

## Protected Attributes

HashSet< const Atom * > | unassigned_atoms_
Size | max_number_unassigned_atoms_

## Additional Inherited Members

Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Detailed Description

Only used for deriving interface.

Definition at line 25 of file assignTypes.h.

## Constructor & Destructor Documentation

## AssignBaseProcessor()

BALL::AssignBaseProcessor::AssignBaseProcessor | ( |  | ) |

## Member Function Documentation

## getMaximumUnassignedAtoms()

Size BALL::AssignBaseProcessor::getMaximumUnassignedAtoms | ( |  | ) | const

Get the number of atoms, for which the setup of the forcefield can fail, until the setup() methods aborts and return false.

## getNumberOfUnassignedAtoms()

Size BALL::AssignBaseProcessor::getNumberOfUnassignedAtoms | ( |  | ) | const

Get the number of atoms, for which the force field setup failed.

## getUnassignedAtoms()

HashSet< const Atom * > & BALL::AssignBaseProcessor::getUnassignedAtoms | ( |  | ) |

Get the atoms, for which the force field setup failed.

## setMaximumUnassignedAtoms()

void BALL::AssignBaseProcessor::setMaximumUnassignedAtoms | ( | Size | nr | ) |

Set the number of atoms, for which the setup of the forcefield can fail, until the setup() methods aborts and return false. By default, there is no limit set.

## Member Data Documentation

## max_number_unassigned_atoms_

Size BALL::AssignBaseProcessor::max_number_unassigned_atoms_

protected

Definition at line 56 of file assignTypes.h.

## unassigned_atoms_

HashSet<const Atom*> BALL::AssignBaseProcessor::unassigned_atoms_

protected

Definition at line 53 of file assignTypes.h.